- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Input
- MouseHandler
- Qt 6.7.2 Reference Documentation

# MouseHandler QML Type

Provides mouse event notification. More...

Import Statement: | import Qt3D.Input 2.7

- List of all members, including inherited members

## Properties

- containsMouse : bool
- sourceDevice : MouseDevice

## Signals

- clicked(MouseEvent mouse)
- doubleClicked(MouseEvent mouse)
- entered()
- exited()
- positionChanged(MouseEvent mouse)
- pressAndHold(MouseEvent mouse)
- pressed(MouseEvent mouse)
- released(MouseEvent mouse)
- wheel(MouseEvent mouse)

## Detailed Description

See also MouseDevice and MouseEvent.

## Property Documentation

containsMouse : bool `[read-only]`

Holds `true` if the QMouseHandler currently contains the mouse.

sourceDevice : MouseDevice

Holds the current mouse source device of the MouseHandler instance.

## Signal Documentation

clicked(MouseEvent mouse)

This signal is emitted when a mouse button is clicked with the event details being contained within mouse

Note: The corresponding handler is `onClicked`.

doubleClicked(MouseEvent mouse)

This signal is emitted when a mouse button is double clicked with the event details being contained within mouse

Note: The corresponding handler is `onDoubleClicked`.

entered()

Note: The corresponding handler is `onEntered`.

exited()

Note: The corresponding handler is `onExited`.

positionChanged(MouseEvent mouse)

This signal is emitted when the mouse position changes with the event details being contained within mouse

Note: The corresponding handler is `onPositionChanged`.

pressAndHold(MouseEvent mouse)

This signal is emitted when a mouse button is pressed and held down with the event details being contained within mouse

Note: The corresponding handler is `onPressAndHold`.

pressed(MouseEvent mouse)

This signal is emitted when a mouse button is pressed with the event details being contained within mouse

Note: The corresponding handler is `onPressed`.

released(MouseEvent mouse)

This signal is emitted when a mouse button is released with the event details being contained within mouse

Note: The corresponding handler is `onReleased`.

wheel(MouseEvent mouse)

This signal is emitted when the mouse wheel is used with the event details being contained within mouse.

Note: The corresponding handler is `onWheel`.